Installation

BotKube has two components that need to be installed.

  1. BotKube App Integration in your Slack/Mattermost
  2. BotKube backend for the App in your Kubernetes cluster

Prerequisites:
- Kubernetes 1.14 or higher is recommended
- For Kubernetes < 1.14, BotKube won’t be able to monitor Ingress resources

You can use a single BotKube backend to serve all the interfaces - Slack, Mattermost, and ElasticSearch.
You just need to enable required mediums through the settings and add a necessary configuration.
see the configuration section for more information